Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class AbstractMultimap.WrappedCollection

    java.lang.Object
      org.modeshape.common.collection.AbstractMultimap.WrappedCollection

All Implemented Interfaces:
  Iterable<V>, Collection<V>

Direct Known Subclasses:
  AbstractMultimap.WrappedList

Enclosing class:
  AbstractMultimap<K,V>

    protected class AbstractMultimap.WrappedCollection

extends Object
implements Collection<V>

Nested Class Summary
`protected class` | `AbstractMultimap.WrappedCollection.DelegateIterator`

Constructor Summary
`protected` | `AbstractMultimap.WrappedCollection(K key, Collection<V> values)`

Method Summary
`boolean` | `add(V e)`
`boolean` | `addAll(Collection<? extends V> c)`
`protected void` | `addToMap()`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`protected Collection<V>` | `delegate()`
`boolean` | `equals(Object obj)`
`K` | `getKey()`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Iterator<V>` | `iterator()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`protected void` | `removeIfEmpty()`
`boolean` | `retainAll(Collection<?> c)`
`int` | `size()`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractMultimap.WrappedCollection

    protected AbstractMultimap.WrappedCollection(K key,
                                                 Collection<V> values)

Method Detail

### getKey

    public K getKey()

  Returns:
    key

### delegate

    protected Collection<V> delegate()

### removeIfEmpty

    protected final void removeIfEmpty()

### addToMap

    protected final void addToMap()

### size

    public int size()

  Specified by:
    `size` in interface `Collection<V>`
  See Also:
    `Collection.size()`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<V>`
  See Also:
    `Collection.isEmpty()`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<V>`
  See Also:
    `Collection.contains(java.lang.Object)`

### iterator

    public Iterator<V> iterator()

  Specified by:
    `iterator` in interface `Iterable<V>`
  Specified by:
    `iterator` in interface `Collection<V>`
  See Also:
    `Collection.iterator()`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<V>`
  See Also:
    `Collection.toArray()`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<V>`
  See Also:
    `java.util.Collection#toArray(T[])`

### add

    public boolean add(V e)

  Specified by:
    `add` in interface `Collection<V>`
  See Also:
    `Collection.add(java.lang.Object)`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<V>`
  See Also:
    `Collection.remove(java.lang.Object)`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<V>`
  See Also:
    `Collection.containsAll(java.util.Collection)`

### addAll

    public boolean addAll(Collection<? extends V> c)

  Specified by:
    `addAll` in interface `Collection<V>`
  See Also:
    `Collection.addAll(java.util.Collection)`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<V>`
  See Also:
    `Collection.removeAll(java.util.Collection)`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<V>`
  See Also:
    `Collection.retainAll(java.util.Collection)`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<V>`
  See Also:
    `Collection.clear()`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<V>`
  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Collection<V>`
  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.